Index: uspace/lib/net/tl/icmp_remote.c
===================================================================
--- uspace/lib/net/tl/icmp_remote.c	(revision 46d4d9f449e7933280b1877c70448602ec0ab0ae)
+++ uspace/lib/net/tl/icmp_remote.c	(revision 14f1db0aaed5208d5e8340c816ca6e555f81f67e)
@@ -27,16 +27,12 @@
  */
 
-/** @addtogroup libnet
+/** @addtogroup icmp
  *  @{
  */
 
 /** @file
- * ICMP interface implementation for remote modules.
- * @see icmp_interface.h
+ *  ICMP interface implementation for remote modules.
+ *  @see icmp_interface.h
  */
-
-#include <icmp_interface.h>
-#include <net/modules.h>
-#include <packet_client.h>
 
 #include <async.h>
@@ -44,88 +40,29 @@
 #include <ipc/ipc.h>
 #include <ipc/services.h>
-#include <ipc/icmp.h>
 #include <sys/types.h>
 
-/** Sends the Destination Unreachable error notification packet.
- *
- * Beginning of the packet is sent as the notification packet data.
- * The source and the destination addresses should be set in the original
- * packet.
- *
- * @param[in] icmp_phone The ICMP module phone used for (semi)remote calls.
- * @param[in] code	The error specific code.
- * @param[in] mtu	The error MTU value.
- * @param[in] packet	The original packet.
- * @return		EOK on success.
- * @return		EPERM if the ICMP error notifications are disabled.
- * @return		ENOMEM if there is not enough memory left.
- */
-int
-icmp_destination_unreachable_msg(int icmp_phone, icmp_code_t code,
-    icmp_param_t mtu, packet_t *packet)
-{
-	async_msg_3(icmp_phone, NET_ICMP_DEST_UNREACH, (ipcarg_t) code,
-	    (ipcarg_t) packet_get_id(packet), (ipcarg_t) mtu);
+#include <net_messages.h>
+#include <net_modules.h>
+#include <icmp_interface.h>
+#include <packet/packet_client.h>
+#include <icmp_messages.h>
+
+int icmp_destination_unreachable_msg(int icmp_phone, icmp_code_t code, icmp_param_t mtu, packet_t packet){
+	async_msg_3(icmp_phone, NET_ICMP_DEST_UNREACH, (ipcarg_t) code, (ipcarg_t) packet_get_id(packet), (ipcarg_t) mtu);
 	return EOK;
 }
 
-/** Sends the Source Quench error notification packet.
- *
- * Beginning of the packet is sent as the notification packet data.
- * The source and the destination addresses should be set in the original
- * packet.
- *
- * @param[in] icmp_phone The ICMP module phone used for (semi)remote calls.
- * @param[in] packet	The original packet.
- * @return		EOK on success.
- * @return		EPERM if the ICMP error notifications are disabled.
- * @return		ENOMEM if there is not enough memory left.
- */
-int icmp_source_quench_msg(int icmp_phone, packet_t *packet)
-{
-	async_msg_2(icmp_phone, NET_ICMP_SOURCE_QUENCH, 0,
-	    (ipcarg_t) packet_get_id(packet));
+int icmp_source_quench_msg(int icmp_phone, packet_t packet){
+	async_msg_2(icmp_phone, NET_ICMP_SOURCE_QUENCH, 0, (ipcarg_t) packet_get_id(packet));
 	return EOK;
 }
 
-/** Sends the Time Exceeded error notification packet.
- *
- * Beginning of the packet is sent as the notification packet data.
- * The source and the destination addresses should be set in the original
- * packet.
- *
- * @param[in] icmp_phone The ICMP module phone used for (semi)remote calls.
- * @param[in] code	The error specific code.
- * @param[in] packet	The original packet.
- * @return		EOK on success.
- * @return		EPERM if the ICMP error notifications are disabled.
- * @return		ENOMEM if there is not enough memory left.
- */
-int icmp_time_exceeded_msg(int icmp_phone, icmp_code_t code, packet_t *packet)
-{
-	async_msg_2(icmp_phone, NET_ICMP_TIME_EXCEEDED, (ipcarg_t) code,
-	    (ipcarg_t) packet_get_id(packet));
+int icmp_time_exceeded_msg(int icmp_phone, icmp_code_t code, packet_t packet){
+	async_msg_2(icmp_phone, NET_ICMP_TIME_EXCEEDED, (ipcarg_t) code, (ipcarg_t) packet_get_id(packet));
 	return EOK;
 }
 
-/** Sends the Parameter Problem error notification packet.
- *
- * Beginning of the packet is sent as the notification packet data.
- * The source and the destination addresses should be set in the original
- * packet.
- *
- * @param[in] icmp_phone The ICMP module phone used for (semi)remote calls.
- * @param[in] code	The error specific code.
- * @param[in] pointer	The problematic parameter offset.
- * @param[in] packet	The original packet.
- * @return		EOK on success.
- * @return		EPERM if the ICMP error notifications are disabled.
- * @return		ENOMEM if there is not enough memory left.
- */
-int icmp_parameter_problem_msg(int icmp_phone, icmp_code_t code,
-    icmp_param_t pointer, packet_t *packet)
-{
-	async_msg_3(icmp_phone, NET_ICMP_PARAMETERPROB, (ipcarg_t) code,
-	    (ipcarg_t) packet_get_id(packet), (ipcarg_t) pointer);
+int icmp_parameter_problem_msg(int icmp_phone, icmp_code_t code, icmp_param_t pointer, packet_t packet){
+	async_msg_3(icmp_phone, NET_ICMP_PARAMETERPROB, (ipcarg_t) code, (ipcarg_t) packet_get_id(packet), (ipcarg_t) pointer);
 	return EOK;
 }
@@ -133,3 +70,2 @@
 /** @}
  */
-
